#pragma once

#include "Core/Object/Object.h"

#include "RHI/DriverSettings.h"
#include "Window/WindowSettings.h"


class WindowImpl {
public:
    virtual ~WindowImpl() = default;

    virtual bool Create(const WindowSettings& settings) = 0;
    virtual bool ShouldClose() const = 0;
    virtual void MakeCurrentContext() const = 0;
    virtual void SwapBuffers() const = 0;
};