#pragma once

#include <stdint.h>
#include <string>

struct WindowSettings {
    std::string title;
    uint32 width = 800;
    uint32 height = 600;
    bool fullscreen;
    bool decorated = true;
    bool resizable = true;
    bool focused = true;
    bool maximized = false;
    bool floating = false;
    bool visible = true;
    bool autoIconify = true;
    uint32 samples = 4;
};
